Name:           perl-HTTP-Request-AsCGI
Version:        1.2
Release:        2%{?dist}
Summary:        Setup a CGI enviroment from a HTTP::Request
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTTP-Request-AsCGI/
Source0:        http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/HTTP-Request-AsCGI-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Response) >= 1.53
BuildRequires:  perl(IO::File)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(Carp)

Requires:       perl(Class::Accessor::Fast)
Requires:       perl(Carp)
Requires:       perl(Class::Accessor)
Requires:       perl(HTTP::Request)
Requires:       perl(HTTP::Response) >= 1.53
Requires:       perl(IO::File)
Requires:       perl(URI::Escape)

%{?perl_default_filter}

%description
Provides a convenient way of setting up an CGI environment from a
HTTP::Request.

%prep
%setup -q -n HTTP-Request-AsCGI-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 05 2010 Chris Weyl <cweyl@alumni.drew.edu> 1.2-2
- drop errant req on Test::More

* Fri Feb 05 2010 Chris Weyl <cweyl@alumni.drew.edu> 1.2-1
- add perl_default_filter
- auto-update to 1.2 (by cpan-spec-update 0.01)
- added a new req on perl(Carp) (version 0)
- added a new req on perl(Class::Accessor) (version 0)
- added a new req on perl(HTTP::Request) (version 0)
- added a new req on perl(HTTP::Response) (version 1.53)
- added a new req on perl(IO::File) (version 0)
- added a new req on perl(Test::More) (version 0)
- added a new req on perl(URI::Escape) (version 0)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.9-3
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.9-1
- auto-update to 0.9 (by cpan-spec-update 0.01)
- added a new br on perl(IO::File) (version 0)
- added a new br on perl(URI::Escape) (version 0)
- added a new br on perl(Carp) (version 0)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.5-3
- rebuild for new perl

* Fri Apr 27 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.5-2
- bump

* Tue Apr 10 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.5-1
- Specfile autogenerated by cpanspec 1.70.
